diff -r 16b63b32f82e code/nel/src/misc/time_nl.cpp
--- a/code/nel/src/misc/time_nl.cpp	Tue May 11 13:38:43 2010 +0200
+++ b/code/nel/src/misc/time_nl.cpp	Wed May 12 11:54:24 2010 +0200
@@ -222,9 +222,14 @@
 	else
 #elif defined(NL_OS_MAC)
 	{
-		static mach_timebase_info_data_t tbInfo;
-		if(tbInfo.denom == 0) mach_timebase_info(&tbInfo);
-		return double(ticks * tbInfo.numer / tbInfo.denom)/1000000.0;
+		static double factor = 0.0;
+		if (factor == 0.0)
+		{
+			mach_timebase_info_data_t tbInfo;
+			mach_timebase_info(&tbInfo);
+			factor = 1000000000.0 * (double)tbInfo.numer / (double)tbInfo.denom;
+		}
+		return double(ticks / factor);
 	}
 #endif // NL_OS_WINDOWS
 	{
